Kerbal Space Program - Feature #440

Rover wheels: partial energy usage when one of motor or steering are disabled
03/18/2013 06:39 AM - Taverius

Status: New % Done: 0%
Severity: Unworthy
Assignee:

Category: Parts
Target version:

Platform: Win32 Mod Related: No

Expansion:

Description
Description

Right now the energy usage of rover wheels does not change if the wheel has both steering and motor and only one feature is
disabled.

It would make a lot more sense if the energy cost for the two functionalities was separate, so that, for example, a third pair of wheels
in the middle of the craft with steering disabled could provide motive power without steering at reduced energy cost.

History

#1-03/18/2013 06:19 PM - Ted
- Assignee deleted (Developers)

- Target version deleted (0.19)

#2 - 03/24/2013 07:05 AM - sal_vager

- Severity changed from Low to Unworthy

- Platform Windows added

Steering does not actually draw any power with the small and medium wheels, only the motor draws power.

Things are slightly confusing with the large wheels as they consume power when "steering”, they actually do not steer at all and turn by varying their
motor output, which makes it seem that they consume power to steer.

#3 - 03/24/2013 10:39 AM - Taverius
It used to (or at least used to show as if it was) in 0.19.0 when | created the issue.
Then this change happened in 0.19.1:
e Adjusted how rover wheels display resource usage
| guess the issue can be deleted now.
#4 - 07/27/2015 06:04 PM - Squelch

- Platform Win32 added
- Platform deleted (Windows)
